org.eclnt.jsfserver.elements.componentnodes

## Class STARTPROCESSNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.STARTPROCESSNode

- All Implemented Interfaces:
    java.io.Serializable

      public class STARTPROCESSNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STARTPROCESSNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STARTPROCESSNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindCommandline(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindCommandlineargumentscsv(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindComment(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindDarkexecution(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `bindWorkingdirectory(IDynamicContentBindingObject value)`
    `STARTPROCESSNode` | `setAdapterbinding(java.lang.String value)`
    `STARTPROCESSNode` | `setAttributemacro(java.lang.String value)`
    `STARTPROCESSNode` | `setCommandline(java.lang.String value)`
    `STARTPROCESSNode` | `setCommandlineargumentscsv(java.lang.String value)`
    `STARTPROCESSNode` | `setComment(java.lang.String value)`
    `STARTPROCESSNode` | `setConfiginfo(java.lang.String value)`
    `STARTPROCESSNode` | `setDarkexecution(java.lang.String value)`
    `STARTPROCESSNode` | `setId(java.lang.String value)`
    `STARTPROCESSNode` | `setReference(java.lang.String value)`
    `STARTPROCESSNode` | `setStylevariant(java.lang.String value)`
    `STARTPROCESSNode` | `setTrigger(java.lang.String value)`
    `STARTPROCESSNode` | `setWorkingdirectory(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### STARTPROCESSNode

          public STARTPROCESSNode()

  - ### Method Detail

    - #### setId

          public STARTPROCESSNode setId(java.lang.String value)

    - #### setAdapterbinding

          public STARTPROCESSNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public STARTPROCESSNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public STARTPROCESSNode setAttributemacro(java.lang.String value)

    - #### setCommandline

          public STARTPROCESSNode setCommandline(java.lang.String value)

    - #### bindCommandline

          public STARTPROCESSNode bindCommandline(IDynamicContentBindingObject value)

    - #### setCommandlineargumentscsv

          public STARTPROCESSNode setCommandlineargumentscsv(java.lang.String value)

    - #### bindCommandlineargumentscsv

          public STARTPROCESSNode bindCommandlineargumentscsv(IDynamicContentBindingObject value)

    - #### setComment

          public STARTPROCESSNode setComment(java.lang.String value)

    - #### bindComment

          public STARTPROCESSNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public STARTPROCESSNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public STARTPROCESSNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDarkexecution

          public STARTPROCESSNode setDarkexecution(java.lang.String value)

    - #### bindDarkexecution

          public STARTPROCESSNode bindDarkexecution(IDynamicContentBindingObject value)

    - #### setReference

          public STARTPROCESSNode setReference(java.lang.String value)

    - #### setStylevariant

          public STARTPROCESSNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public STARTPROCESSNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public STARTPROCESSNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public STARTPROCESSNode bindTrigger(IDynamicContentBindingObject value)

    - #### setWorkingdirectory

          public STARTPROCESSNode setWorkingdirectory(java.lang.String value)

    - #### bindWorkingdirectory

          public STARTPROCESSNode bindWorkingdirectory(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.